Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LRotationf Class Reference

This is a unit quaternion representing a rotation. More...

Inheritance diagram for LRotationf:

List of all members.

## Public Member Functions
| LRotationf ()
| LRotationf (Mat3 const )
| lmatrix3
| LRotationf (Quat const )
| LRotationf (float, float, float, float)
| LRotationf (VBase4 const copy)
| LRotationf (Mat4 const )
| lmatrix4
| LRotationf (float, float, float)
| Sets the rotation from the given Euler angles.
| LRotationf (Vec3 const , float)
| axis + angle (in degrees)
LRotationf | operator* (LRotationf const other)
| Rotation * Rotation = Rotation.
LRotationf | operator* (float scalar)
Quat | operator* (Quat const other)
| Rotation * Orientation = Orientation This is another meaningless operation, attempting to apply an orientation to a rotation.
LRotationf | operator/ (float scalar)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a unit quaternion representing a rotation.

## Constructor & Destructor Documentation

LRotationf | ( |  | ) |

LRotationf | ( | Mat3 | const | ) |

lmatrix3

LRotationf | ( | Mat4 | const | ) |

lmatrix4

LRotationf | ( | Quat | const | ) |

LRotationf | ( | VBase4 const | copy | ) |

LRotationf | ( | Vec3 | const,
|  | float |
| ) |  |

axis + angle (in degrees)

LRotationf | ( | float | ,
|  | float | ,
|  | float |
| ) |  |

Sets the rotation from the given Euler angles.

LRotationf | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Quat.

LRotationf operator* | ( | LRotationf const | other | ) |

Rotation * Rotation = Rotation.

Quat operator* | ( | Quat const | other | ) |

Rotation * Orientation = Orientation This is another meaningless operation, attempting to apply an orientation to a rotation.

Reimplemented from Quat.

LRotationf operator* | ( | float | scalar | ) |

Reimplemented from Quat.

LRotationf operator/ | ( | float | scalar | ) |

Reimplemented from Quat.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties